aboutsummaryrefslogtreecommitdiff
path: root/network
diff options
context:
space:
mode:
authorMarco Lavorini <sbo.mlavorini@outlook.com>2024-09-17 15:06:41 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-09-17 15:32:51 +0700
commitde6e85e45202c5067a87e9973b1677c947f15b1d (patch)
treef0bee19c396fbd224ed727d9345f4a2f953f9f96 /network
parente4942df8639707a98b10d13a2144e8269b755eea (diff)
network/syncthingtray-bin: Added (Plasma integration for Syncthing).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/syncthingtray-bin/README1
-rw-r--r--network/syncthingtray-bin/doinst.sh10
-rw-r--r--network/syncthingtray-bin/slack-desc19
-rw-r--r--network/syncthingtray-bin/syncthingtray-bin.SlackBuild96
-rw-r--r--network/syncthingtray-bin/syncthingtray-bin.info10
-rw-r--r--network/syncthingtray-bin/syncthingtray.desktop9
-rw-r--r--network/syncthingtray-bin/syncthingtray.pngbin0 -> 19425 bytes
7 files changed, 145 insertions, 0 deletions
diff --git a/network/syncthingtray-bin/README b/network/syncthingtray-bin/README
new file mode 100644
index 0000000000000..278ee98fb00db
--- /dev/null
+++ b/network/syncthingtray-bin/README
@@ -0,0 +1 @@
+Tray application and Dolphin/Plasma integration for Syncthing
diff --git a/network/syncthingtray-bin/doinst.sh b/network/syncthingtray-bin/doinst.sh
new file mode 100644
index 0000000000000..4a25de5e6fbd1
--- /dev/null
+++ b/network/syncthingtray-bin/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/network/syncthingtray-bin/slack-desc b/network/syncthingtray-bin/slack-desc
new file mode 100644
index 0000000000000..98411d1ac4bf4
--- /dev/null
+++ b/network/syncthingtray-bin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+syncthingtray-bin: syncthingtray-bin (Tray application for Syncthing)
+syncthingtray-bin:
+syncthingtray-bin:
+syncthingtray-bin:
+syncthingtray-bin:
+syncthingtray-bin:
+syncthingtray-bin:
+syncthingtray-bin:
+syncthingtray-bin:
+syncthingtray-bin: homepage: https://github.com/Martchus/syncthingtray
+syncthingtray-bin:
diff --git a/network/syncthingtray-bin/syncthingtray-bin.SlackBuild b/network/syncthingtray-bin/syncthingtray-bin.SlackBuild
new file mode 100644
index 0000000000000..8988a56c6fd7e
--- /dev/null
+++ b/network/syncthingtray-bin/syncthingtray-bin.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/bash
+
+# Slackware build script for syncthingtray
+
+# Copyright 2023-2024 Marco Lavorini, Campiglia Marittima Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=syncthingtray-bin
+SRCNAM=syncthingtray
+VERSION=${VERSION:-1.6.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ true
+else
+ echo arch $ARCH is not supported!
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION-$ARCH-pc-linux-gnu.tar.?z
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} + -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} +
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/opt/$SRCNAM
+cp $SRCNAM-$VERSION-$ARCH-pc-linux-gnu $PKG/opt/$SRCNAM/$SRCNAM-$VERSION-$ARCH-pc-linux-gnu
+
+mkdir -p $PKG/usr/bin
+ln -sf ../../opt/$SRCNAM/$SRCNAM-$VERSION-$ARCH-pc-linux-gnu $PKG/usr/bin/$SRCNAM-$ARCH-pc-linux-gnu
+
+mkdir -p $PKG/usr/share/icons/hicolor/256x256/apps
+cp $CWD/$SRCNAM.png $PKG/usr/share/icons/hicolor/256x256/apps
+
+mkdir -p $PKG/usr/share/applications
+cp $CWD/$SRCNAM.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/syncthingtray-bin/syncthingtray-bin.info b/network/syncthingtray-bin/syncthingtray-bin.info
new file mode 100644
index 0000000000000..f2206f8d3ee38
--- /dev/null
+++ b/network/syncthingtray-bin/syncthingtray-bin.info
@@ -0,0 +1,10 @@
+PRGNAM="syncthingtray-bin"
+VERSION="1.6.2"
+HOMEPAGE="https://github.com/Martchus/syncthingtray"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/Martchus/syncthingtray/releases/download/v1.6.2/syncthingtray-1.6.2-x86_64-pc-linux-gnu.tar.xz"
+MD5SUM_x86_64="2571b72439dc24a4621083d7d0678b00"
+REQUIRES="%README%"
+MAINTAINER="Marco Lavorini"
+EMAIL="sbo.mlavorini@outlook.com"
diff --git a/network/syncthingtray-bin/syncthingtray.desktop b/network/syncthingtray-bin/syncthingtray.desktop
new file mode 100644
index 0000000000000..7beae578fc254
--- /dev/null
+++ b/network/syncthingtray-bin/syncthingtray.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=Syncthingtray
+GenericName=Syncthing Tray
+Comment=Tray application for Syncthing
+Exec=syncthingtray-x86_64-pc-linux-gnu
+Icon=syncthingtray
+Terminal=false
+Type=Application
+Categories=Network; \ No newline at end of file
diff --git a/network/syncthingtray-bin/syncthingtray.png b/network/syncthingtray-bin/syncthingtray.png
new file mode 100644
index 0000000000000..21d4b0664d713
--- /dev/null
+++ b/network/syncthingtray-bin/syncthingtray.png
Binary files differ